### Method

# Ide Diagnostic get_location

#### Declaration

    IdeLocation*
    ide_diagnostic_get_location (
      IdeDiagnostic* self
    )

#### Description

Gets the location of the diagnostic.

See also: ide_diagnostic_get_range().

Available since: | 3.32

Gets property | `Ide.Diagnostic:location`

#### Return value

Returns: | `IdeLocation`
| An `IdeLocation` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.